using UnityEditor;
using UnityEngine;

#if UNITY_EDITOR

namespace space.chikalin.textdecal.Editor
{
[CustomEditor(typeof(TextMeshProSpline))]
public class TextMeshProSplineGUI : UnityEditor.Editor
{
    public override void OnInspectorGUI()
    {
        base.OnInspectorGUI();

        if (GUILayout.Button("Force Update"))
        {
            ((TextMeshProSpline)target).ForceUpdate();
        }
        
    }
}
}

#endif